Online payments - TLS security error

Our box office provider Spektrix is making changes to the security used when you make an online payment. If you are using an older web browser (such as Internet Explorer, Google Chrome, etc.) you may find that you are unable to make a payment; however if you are using an up-to-date version of your web browser you will be able to make a payment as normal.

How do I resolve this issue?

If you see the following error message in your web browser you can make a change to your security settings that will allow you to access our online payments service, the change required is to enable the ‘TLS 1.2’ service - details of how to make the change in Internet Explorer and Google Chrome are included in the error message.

If you do not see this error message or are unable to make the necessary changes to the security settings then you will need to use an alternative web browser, for example Google Chrome.

Use an alternative web browser

If you already have an alternative web browser installed you may need to update it to the latest version in order to access the payments service.

If another web browser isn’t already installed please download and install an alternative web browser, as part of this process the new web browser will check that it is the most up-to-date version. Once fully installed you should be able to access our payment service and make a payment, if this is not the case then please check your web browsers security settings and enable ‘TLS 1.2’ if this is not already in use.

We use cookies on this website to improve how it works and how it’s used.

Accept & Continue